from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Get a specific provider
provider = portkey.providers.retrieve(
slug="PROVIDER_SLUG",
workspace_id=""
)
print(provider){
"name": "Open AI Workspace",
"integration_id": "<string>",
"note": "randomness",
"usage_limits": {
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
},
"reset_usage": 0,
"created_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"rate_limits": [
{
"value": 123
}
],
"expires_at": "2023-11-07T05:31:56Z"
}Retrieve Provider
GET
/
providers
/
{slug}
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Get a specific provider
provider = portkey.providers.retrieve(
slug="PROVIDER_SLUG",
workspace_id=""
)
print(provider){
"name": "Open AI Workspace",
"integration_id": "<string>",
"note": "randomness",
"usage_limits": {
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
},
"reset_usage": 0,
"created_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"rate_limits": [
{
"value": 123
}
],
"expires_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Provider slug
Query Parameters
optional, needed when using organisation admin keys
Response
200 - application/json
Successful response
Example:
"Open AI Workspace"
Example:
"randomness"
Available options:
active, exhausted, expired Show child attributes
Show child attributes
Example:
{
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
}Example:
0
Show child attributes
Show child attributes
Available options:
provider Last modified on May 21, 2026
Was this page helpful?
⌘I

